/*******************************************************************************
 * 
 * Arquivo contendo a main do servidor. Esse arquivo invoca métodos para o 
 * gerencimento dos processos cujos pids foram recebidos como parâmetros.
 *
 ******************************************************************************/
#ifndef SERVER_H
#define SERVER_H

#ifndef _GNU_SOURCE
#define _GNU_SOURCE 1
#endif

#include<stdio.h>
#include<unistd.h>
#include <pthread.h>
#include <math.h>
#include <sys/mman.h>
#include <unistd.h>
#include <errno.h>
#include "RT.h"
#include "socket.h"
#include "alarms.h"
#include "macros.h"
#include "calcSlices.h"

#define PERIOD 1000

int calcMaxMask();
void error(char *msg);
int makeCpuSet();
char *server_status();
void setProcessingLimit(int newProcessingLimit);
void treatServerAdaptMessage(struct serverAdaptMsgDataStruct *msgData);
float updateProcessingLimit(int newProcessingLimit);

#endif
