#include <stdio.h>
#include <unistd.h>

#define _XOPEN_SOURCE 500

int main(int argc, char **argv)
{
    int i;

    /* Testing a newline */
    printf("stdout:");
    for (i = 4; i > 0; i--) {
        if (i == 2)
            printf("\nstdout:");
        printf(" %d", i);
        fflush(stdout);
        sleep(1);
    }
    printf("\n");
    fflush(stdout);

    fprintf(stderr, "stderr:");
    for (i = 4; i > 0; i--) {
        if (i == 2)
            fprintf(stderr, "\nstderr:");
        fprintf(stderr, " %d", i);
        fflush(stderr);
        sleep(1);
    }
    fprintf(stderr, "\n");
    fflush(stderr);

    /* Mixed output */
    for (i = 4; i > 0; i--) {
        fprintf(stderr, "stderr: %d\n", i);
        fflush(stderr);
        usleep(100000);
        printf("stdout: %d\n", i);
        fflush(stdout);
        sleep(1);
    }

    return 0;
}
