#include "WebPage.h"
#include "ProcessList.h"

class ProcessListPage : public WebPage
{
	public:
		ProcessListPage(string processesTpl, string processTpl, ProcessList *p)
			: WebPage(processesTpl), processTpl(processTpl), processList(p) {}

	private:
		string processTpl;
		ProcessList *processList;
		void generateVars();
		void kill();
};

class ProcessPage : public WebPage
{
	public:
		ProcessPage(string tpl) : WebPage(tpl), nApp(0) {}
		void setProcess(Process *p) { process = p; }

	private:
		Process *process;
		void generateVars();
		int nApp;
};
