#include "WebPage.h"

mapStSt WebPage::setQueryString(const string queryString)
{
	int i, j;
	string tag, value;
	mapStSt queryStringMap;

	j = 0;
	i = queryString.find("=", j);
	while (i != (int)string::npos) {
		tag = queryString.substr(j, i-j);
		j = i + 1;
		i = queryString.find("&", i);
		if (i != (int)string::npos ) {
			value = queryString.substr(j, i-j);
			j = i + 1;
		}
		else {
			value = queryString.substr(j);
			j = queryString.size();
		}
		i = queryString.find("=", j);
		queryStringMap[tag] = value;
	}
	this->queryString = queryStringMap;
	return this->queryString;
}


string WebPage::replaceVars()
{
	string page = tpl;
	mapStSt::iterator it;

	for(it = vars.begin(); it != vars.end(); it++)
		replaceVar(page, it->first, it->second);

	return page;
}


void WebPage::replaceVar(string &context, const string from, const string to)
{
	size_t lookHere = 0;
	size_t foundHere;
	string fullVar = "<@" + from + ">";

	while ((foundHere = context.find(fullVar, lookHere)) != string::npos) {
		context.replace(foundHere, fullVar.size(), to);
		lookHere = foundHere + to.size();
	}
}


void WebPage::generateVars() {}
