#ifndef _WEBPAGE_H_
#define _WEBPAGE_H_

#include <string>
#include "macros.h"
using namespace std;

class WebPage
{

	public:
		WebPage(string tpl) : tpl(tpl) {}
		void setQueryString(const mapStSt queryString) {
			this->queryString = queryString;
		}
		mapStSt setQueryString(const string queryString);
		/* Create generateVars instead of modifying the method below */
		string getPage() { generateVars(); return replaceVars(); }

	protected:
		mapStSt queryString;

		virtual void generateVars();
		void setVar(string var, string value) {
			vars[var] = value;
		}

	private:
		mapStSt vars;
		const string tpl;

		string replaceVars();
		void replaceVar(string &context, const string from, const string to);
};
#endif
