/*******************************************************************************
 * 
 * Arquivo com método que monitora o tempo de execução dos processos.
 *
 ******************************************************************************/
#ifndef MONITOR_H
#define MONITOR_H

#include<unistd.h>
#include<stdio.h>
#include<stdlib.h>

#include "RT.h"
#include "calcSlices.h"
#include "lists.h"

#define JIFFY 10                /* período entre interrupções = 10 ms */

struct processStruct {
    int pid;
    int father;
    struct processStruct *next;
};

long int getElapsedTime(struct processDataStruct *process);
void *monitorProcessTree();
struct processStruct *getPids(FILE * f);

#endif
